- hosts: localhost
  tasks:

  - name: Install Apt Packages
    become: yes
    apt:
      state: present
      name:
        - wine

  - name: Run WineCfg 
    command: winecfg
    args:
      creates: /home/{{ ansible_env.USER }}/.wine/system.reg

  - name: Install azzCardfile
    command: wine /home/{{ ansible_env.USER }}/tools/azzCardfile_4113_Setup.exe
    args:
      creates: /home/{{ ansible_env.USER }}/Desktop/azzCardfile.desktop
    tags:
      - apps
      - never

  - name: Copy Desktop files
    copy:
      src: ./Desktop/azzCardfile.desktop
      dest: /home/{{ ansible_env.USER }}/Desktop/azzCardfile.desktop
      owner: "{{ ansible_env.USER }}"
      group: "{{ ansible_env.USER }}"
      mode: '0775'
      force: no
    tags:
      - desktop
      - never

  - name: Install Notepad++
    command: wine /home/{{ ansible_env.USER }}/tools/npp.7.5.1.Installer.exe
    args:
      creates: /home/{{ ansible_env.USER }}/Desktop/Notepad++.desktop
    tags:
      - apps
      - never

  - name: Copy Desktop files
    copy:
      src: ./Desktop/Notepad++.desktop
      dest: /home/{{ ansible_env.USER }}/Desktop/Notepad++.desktop
      owner: "{{ ansible_env.USER }}"
      group: "{{ ansible_env.USER }}"
      mode: '0775'
      force: no
    tags:
      - desktop
      - never

  - name: Install Picasa
    command: wine /home/{{ ansible_env.USER }}/tools/picasa39-setup_3.9.141Build159.exe
    args:
      creates: /home/{{ ansible_env.USER }}/Desktop/Picasa 3.desktop
    tags:
      - apps
      - never

  - name: Copy Desktop files
    copy:
      src: ./Desktop/Picasa 3.desktop
      dest: /home/theodore/Desktop/
      owner: "{{ ansible_env.USER }}"
      group: "{{ ansible_env.USER }}"
      mode: '0775'
      force: no
    tags:
      - desktop
      - never

  - name: Install IrfanView
    command: wine /home/{{ ansible_env.USER }}/tools/iview460_x64_setup.exe
    args:
      creates: /home/{{ ansible_env.USER }}/.local/share/applications/wine/Programs/IrfanView
    tags:
      - apps
      - never
